/*
 *  Copyright 2020 Huawei Technologies Co., Ltd.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

import zhLocale from 'element-ui/lib/locale/lang/zh-CN'
const cn = {
  login: {
    userName: '用户名',
    password: '密码',
    login: '登录',
    logout: '注销',
    wrongCaptcha: '验证码错误，请重新输入验证码。',
    confirmPass: '密码确认',
    gender: '性别',
    male: '男',
    female: '女',
    pwdPla: '密码',
    pwdConfPla: '密码确认',
    compPla: '公司信息',
    telPla: '电话号码',
    loginWithUser: '账户登录',
    freeSign: '免费注册',
    verify: '点击按钮进行验证',
    finishVerify: '属实'
  },
  user: {
    username: '用户名',
    role: '角色',
    company: '公司',
    location: '公司地址',
    telephone: '电话',
    email: '电子邮件',
    operation: '运作',
    batchDltBtn: '批量删除',
    addUsrBtn: '添加用户',
    edit: '编辑',
    delete: '删除',
    guestconfirguration: '访客配置'
  },
  nav: {
    administrator: '管理员',
    resourcelist: '资源清单',
    requestlist: '要求清单',
    usermanagement: '用户管理',
    lsms: '实验室服务管理系统',
    myapplication: '我的应用程序',
    resapplication: '资源申请',
    resapplicationbtn: '请求资源',
    batchprocessing: '批量处理',
    batchRejects: '批量拒绝',
    batchApprove: '批批准',
    envapplication: '环境应用',
    envapplicationbtn: '请求环境',
    system: '系统',
    logoutTip: '确认要离开吗？',
    rejects: '拒绝',
    approveapplication: '批准申请',
    myres: '我的资源',
    listofauthapplications: '认证申请清单',
    mecmanager: 'MEC经理链接',
    mecapp: 'MEC APP链接',
    mecdeveloper: 'MEC开发人员链接',
    addguestlink: '访客配置',
    beaguest: '做客'
  },
  common: {
    reset: '重置',
    search: '搜索',
    operation: '操作',
    cancel: '取消',
    submit: '提交',
    confirm: '确认',
    delete: '删除',
    detail: '详情',
    modify: '编辑',
    warning: '提示',
    add: '加',
    labDistribution: '实验室分布',
    monitorLab: '监控实验室',
    total: '总：',
    labs: '实验室',
    lab: '实验室',
    environments: '环境',
    resources: '资源'
  },
  verify: {
    ipTip: 'IP地址不能为空。',
    hostnameTip: '主机名称不能为空。',
    zipcodeTip: '邮政编码不能为空。',
    cityTip: '城市名称不能为空。',
    addressTip: '详细地址不能为空。',
    usernameTip: '用户名不能为空。',
    passwordTip: '密码不能为空。',
    affinityTip: '架构不能为空。'
  },
  env: {
    requestRemarks: '要求备注',
    approvalRemarks: '批准备注',
    requestedBy: '被要求',
    nodeType: '节点类型',
    storage: '存储',
    assignedTo: '分配给',
    owner: '管理员',
    pinCode: '邮政编码',
    city: '城市',
    address: '详细地址',
    type: '类型',
    name: '名称',
    nameid: '名称/ ID',
    lab: '实验室',
    status: '状态',
    specifications: '技术指标',
    specialResources: '特殊资源',
    testOnSite: '现场测试',
    testCard: '测试卡',
    requestedduration: '要求期限',
    applicant: '申请人',
    remark: '备注',
    addres: '添加资源',
    addenv: '添加环境',
    addlab: '添加实验室',
    ipAddress: 'IP地址',
    expiredDate: '到期日',
    scenario: '情景',
    operation: '运作',
    cancelApplication: '取消申请',
    details: '细节',
    application: '应用',
    apply: '申请VPN',
    myresource: '资源申请',
    myenvironment: '环境应用',
    myrequests: '我的申请',
    applicationRes: '资源申请',
    remotelogin: '远程登录',
    release: '释放',
    resuming: '正在恢复',
    rejectionreason: '拒绝原因',
    remarkDetails: '输入备注。值不能超过100个字符...',
    applicationName: '应用名称',
    architacture: '架构',
    developer: '开发商',
    description: '描述',
    isAllowed: '被允许',
    duration: '有效期至',
    testonsitelabel: '是否在现场进行测试',
    specificationSection: '规格部分',
    no: '数',
    quantity: '数量',
    cpuArchitacture: 'CPU架构',
    memory: '记忆',
    labMonitor: 'Lab 监控',
    totalEnvironments: '整体环境：',
    totalResources: '总资源：'

  },
  tip: {
    getCommonListFailed: '获取列表失败',
    failedReg: '注册用户失败, ',
    failedAuth: '认证失败，请检查你用户名和密码！',
    regUserSuc: '你已成功注册该用户！',
    sessionOut: '你的登录信息过期，请重新登录！',
    sessionExp: 'Session过期',
    warning: '警告',
    browserAdvise: '为了部分功能正常使用，我们建议使用Chrom浏览器！',
    confirm: '确认',
    nameAlSinged: '用户名已被注册，请重新输入或前往登陆',
    telAlSigned: '电话号码已被注册，请重新输入或前往登陆'
  },
  confirm: {
    registerUserSuccess: 'User registered successfully!!',
    userLoginSuccess: 'User logged-in successfully!!',
    confirmToDeleteUser: '您确定要删除该用户吗？',
    confirmToDeleteEnv: 'Are you sure to delete this environment?',
    deleteEnvSuccess: 'Environment deleted successfully.',
    deleteResSuccess: 'Resource deleted successfully.',
    labAddSuccess: 'New lab added successfully.',
    addUserSuccess: 'New user added successfully.',
    deleteUserSuccess: 'User deleted successfully.',
    deleteBatchUserSuccess: 'Selected Users deleted successfully.',
    envRequestSuccess: 'Environment requested successfully.',
    resRequestSuccess: 'Resourse requested successfully.',
    envReleaseSuccess: 'Environment released successfully.',
    guestConfigSuccess: 'Successfully configured the guest page.',
    approveConfim: 'Request approved successfully.',
    deleteLabConfim: 'Lab deleted successfully.',
    deleteResRequestSuccess: 'Resource requested deleted successfully.',
    resReleaseSuccess: 'Resource released successfully',
    confirmApplyEnv: 'Please wait for 24 hours, admin will review your changes and process the request.',
    selectScenario: 'Please select scenario.',
    selectEnv: 'Please select environment from table.'

  },
  Available: '有空',
  Assigned: '已分配',
  Waiting: '等候',
  Approved: '被认可',
  Rejected: '拒绝',
  RESOURCE_EXISTS: 'Resource ip is already exist. Please use another one.',
  MODIFY_RESOURCE_FAILED: 'Failed to modify the resource.',
  DELETE_RESOURCE_FAILED: 'Failed to delete the resource.',
  DELETE_RESOURCE_REQUEST_FAILED: 'Failed to delete the resource request.',
  RELEASE_RESOURCE_FAILED: 'Failed to release the resource.',
  ENV_NAME_ALREADY_EXIST: 'Environment name is already exist. Please use another one.',
  ADD_ENVIRONMENT_FAILED: 'Failed to add new environment.',
  MODIFY_ENVIRONMENT_FAILED: 'Failed to modify the environment.',
  DELETE_ENVIRONMENT_FAILED: 'Failed to delete the environment.',
  RELEASE_ENVIRONMENT_FAILED: 'Failed to release the environment.',
  ADD_LAB_FAILED: 'Failed to add new lab.',
  DELETE_LAB_FAILED: 'Failed to delete lab.',
  ADD_USER_FAILED: 'Failed to add new user.',
  DELETE_USER_FAILED: 'Failed to delete user.',
  DELETE_BATCH_USER_FAILED: 'Some of the selected users not able to delete.',
  MODIFY_USER_FAILED: 'Failed to modify the user.',
  REGISTRATION_INFO_INCORRECT: 'Registration information is not correct.',
  REGISTER_USER_FAILED: 'Failed to register.',
  USER_ALREADY_EXIST: 'User already exist, Please user another username.',
  USER_NOT_ALLOWED: 'You are not allow to login. Please contact to administrator.',
  USERNAME_PASSWORD_DOES_NOT_EXIST: 'User name and password is incorrect.',
  MODIFY_GUEST_CONFIG_FAILED: 'Failed to modify the guest configuration.',
  ...zhLocale
}

export default cn
